# GLM: glm::gtx::epsilon Namespace Reference

# glm::gtx::epsilon Namespace Reference

GLM_GTX_epsilon extension: Comparaison functions for a user defined epsilon values. More...

## Functions

template<typename genTypeT , typename genTypeU >
bool | equalEpsilon (genTypeT const &x, genTypeT const &y, genTypeU const &epsilon)
| Returns the component-wise compare of |x - y| < epsilon.
template<typename genTypeT , typename genTypeU >
bool | notEqualEpsilon (genTypeT const &x, genTypeT const &y, genTypeU const &epsilon)
| Returns the component-wise compare of |x - y| >= epsilon.

## Detailed Description

GLM_GTX_epsilon extension: Comparaison functions for a user defined epsilon values.

## Function Documentation

bool glm::gtx::epsilon::equalEpsilon | ( | genTypeT const & | x,
|  | genTypeT const & | y,
|  | genTypeU const & | epsilon |
| ) |  |  |

Returns the component-wise compare of |x - y| < epsilon.

From GLM_GTX_epsilon extension.

bool glm::gtx::epsilon::notEqualEpsilon | ( | genTypeT const & | x,
|  | genTypeT const & | y,
|  | genTypeU const & | epsilon |
| ) |  |  |

Returns the component-wise compare of |x - y| >= epsilon.

From GLM_GTX_epsilon extension.